local fires = data.raw.fire

for name, entity in pairs(fires) do
  if name ~= "crash-site-fire-flame" then
    entity.created_effect = {
      type = "direct",
      action_delivery = {
        type = "instant",
        source_effects = {
          type = "create-entity",
          --~ entity_name = acids[name] and WT.acid_dummy_name or WT.fire_dummy_name,
          entity_name = "small-lamp",
          entity_name = "defender-capsule",
          ignore_collision_condition = true,
          trigger_created_entity = true
        }
      }
    }
    entity.selectable_in_game = true
    --~ entity.spawn_entity = acids[name] and WT.acid_dummy_name or WT.fire_dummy_name
    log("created_effect for " .. name .. ": " .. serpent.block(entity.created_effect))
  end
end
